- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
tbb::pipeline Class Reference
Algorithms

A processing pipeline that applies filters to items. More...

`#include <pipeline.h>`

## Public Member Functions
__TBB_EXPORTED_METHOD | pipeline ()
| Construct empty pipeline.
virtual __TBB_EXPORTED_METHOD | ~pipeline ()
void __TBB_EXPORTED_METHOD | add_filter (filter &filter_)
| Add filter to end of pipeline.
void __TBB_EXPORTED_METHOD | run (size_t max_number_of_live_tokens)
| Run the pipeline to completion.
void __TBB_EXPORTED_METHOD | run (size_t max_number_of_live_tokens, tbb::task_group_context &context)
| Run the pipeline to completion with user-supplied context.
void __TBB_EXPORTED_METHOD | clear ()
| Remove all filters from the pipeline.

## Friends
class | internal::stage_task
class | internal::pipeline_root_task
class | filter
class | thread_bound_filter
class | internal::pipeline_cleaner
class | tbb::interface6::internal::pipeline_proxy

## Detailed Description

A processing pipeline that applies filters to items.

## Constructor & Destructor Documentation

virtual __TBB_EXPORTED_METHOD tbb::pipeline::~pipeline | ( | ) |  |
| virtual

Though the current implementation declares the destructor virtual, do not rely on this detail. The virtualness is deprecated and may disappear in future versions of TBB.

The documentation for this class was generated from the following file:

- pipeline.h

Copyright © 2005-2014 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.